commit:     aa188e24167ca6688aaecce64113cb924965bed6
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  2 07:07:10 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Dec  2 07:08:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa188e24

x11-wm/icewm: Bump to version 2.9.1

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 x11-wm/icewm/Manifest           |   1 +
 x11-wm/icewm/icewm-2.9.1.ebuild | 153 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 154 insertions(+)

diff --git a/x11-wm/icewm/Manifest b/x11-wm/icewm/Manifest
index d081664744e1..83268252affc 100644
--- a/x11-wm/icewm/Manifest
+++ b/x11-wm/icewm/Manifest
@@ -1,3 +1,4 @@
 DIST icewm-2.7.0.tar.lz 1738471 BLAKE2B 
407f5290329de99519b806db4bbc8895623d2930f37912db701170145579a1c2819b7ae2576b0aee146e8b006a12c78f7344224dd407ed7e8a1eba1cffc43ced
 SHA512 
829673a3f7aa26fd7f74a9a8ab220548b6bb7724026517fa7ec1d5705fca2c0aa9339078d603242dbb2209c194a7a64aebcf55454aea5f8a20c4785e63e8cc3f
 DIST icewm-2.8.0.tar.lz 1745937 BLAKE2B 
dc5c4c6e4b5f067881176a0f72914f971dbae3daa475ed7ca00dbf3f687aae97874a0cf2e94b0d22d45f7dc221390c0658674e9aad3ea19d21a171b6d478c4be
 SHA512 
552d1da9ceb96c6c14a0dfd596656a56fb289716a787fb75e54b49ef6df84747a4999ce733a6ffb9ff7a1e4c0243253fc3f2fa7a2251e7f3987ab9f33c0a1b30
 DIST icewm-2.9.0.tar.lz 1745872 BLAKE2B 
6a37894f51adc29e73a9edb74e6b5e1cdc9f93cd2dc2a28cd456ecd574f29b985a87395c1f12fd9265d4d9cd5c55749f59b4cef711daf8d8a638c5f98669a7bf
 SHA512 
9db1c5c5a277a55b256cd9be4a964639b24cee49e809c56a772ac2501ab96acbf0c0268609e241c800fbaa566b96585b5b67642908a1c244091683c2f8cda92b
+DIST icewm-2.9.1.tar.lz 1747544 BLAKE2B 
58cbf792b8c697f04a33d3f64b7241e8067aae9f63fa27f625fbfda5fcd0ca154c588ba70930a520450dc8fb8a471561e3bbafe3d1d6d7d2b92f865012c5e838
 SHA512 
3cb0554c2b1cc1bae0f0229e93874739448d9cd24cb790f89cde6829c936942e61d2d4f1803154962bab4c66bcf993d5cfd1060ec520b1aec91839e2ef951097

diff --git a/x11-wm/icewm/icewm-2.9.1.ebuild b/x11-wm/icewm/icewm-2.9.1.ebuild
new file mode 100644
index 000000000000..6d9fc5f765eb
--- /dev/null
+++ b/x11-wm/icewm/icewm-2.9.1.ebuild
@@ -0,0 +1,153 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools unpacker
+
+DESCRIPTION="Ice Window Manager with Themes"
+HOMEPAGE="https://ice-wm.org/ https://github.com/ice-wm/icewm";
+LICENSE="GPL-2"
+SRC_URI="https://github.com/ice-wm/icewm/releases/download/${PV}/${P}.tar.lz";
+
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+alsa ao bidi debug +gdk-pixbuf imlib nls truetype uclibc xinerama"
+
+# Tests broken in all versions, patches welcome, bug #323907, #389533
+RESTRICT="test"
+
+REQUIRED_USE="|| ( alsa ao )"
+#?? ( gdk-pixbuf imlib )
+
+#fix for icewm preversion package names
+S="${WORKDIR}/${P/_}"
+
+# These are the core dependencies of icewm.
+# Look into configure.ac and search for PKG_CHECK_MODULES([CORE]
+CORE_DEPEND="
+       media-libs/fontconfig
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXrender
+"
+
+RDEPEND="
+       ${CORE_DEPEND}
+       dev-libs/glib:2
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libXft
+       x11-libs/libXpm
+       x11-libs/libXrandr
+       alsa? (
+               media-libs/alsa-lib
+               media-libs/libsndfile[alsa]
+       )
+       ao? (
+               media-libs/libao
+               media-libs/libsndfile
+       )
+       bidi? ( dev-libs/fribidi )
+       gdk-pixbuf? (
+               x11-libs/gdk-pixbuf-xlib
+               >=x11-libs/gdk-pixbuf-2.42.0:2
+       )
+       !gdk-pixbuf? (
+               imlib? (
+                       gnome-base/librsvg:2
+                       media-libs/imlib2
+               )
+               !imlib? (
+                       media-libs/libpng:0=
+                       virtual/jpeg
+               )
+       )
+       xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+       ${RDEPEND}
+       $(unpacker_src_uri_depends)
+       x11-base/xorg-proto
+       gdk-pixbuf? ( gnome-base/librsvg:2 )
+"
+
+BDEPEND="
+       app-text/asciidoc
+       virtual/pkgconfig
+       nls? ( >=sys-devel/gettext-0.19.8 )
+"
+
+pkg_pretend() {
+       if use gdk-pixbuf && use imlib ; then
+               einfo 'Confilcting USE flags have been enabled:'
+               einfo '"gdk-pixbuf" and "imlib" exclude each other!'
+               einfo 'Using "gdk-pixbuf".'
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local icesound
+       if use alsa && use ao ; then
+               icesound="alsa,ao"
+       elif use alsa ; then
+               icesound="alsa"
+       elif use ao ; then
+               icesound="ao"
+       fi
+
+       local myconf=(
+               --enable-logevents
+               --enable-xrandr
+               --with-cfgdir="${EPREFIX}"/etc/icewm
+               --with-docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+               --with-icesound="${icesound}"
+               --with-libdir="${EPREFIX}"/usr/share/icewm
+               $(use_enable bidi fribidi)
+               $(use_enable debug)
+               $(use_enable debug logevents)
+               $(use_enable gdk-pixbuf)
+               $(use_enable imlib imlib2)
+               $(use_enable nls i18n)
+               $(use_enable nls)
+               $(use_enable xinerama)
+       )
+       if use truetype ; then
+               myconf+=(
+                       --enable-shape
+               )
+       else
+               myconf+=(
+                       --disable-xfreetype
+                       --enable-corefonts
+               )
+       fi
+
+       econf "${myconf[@]}"
+
+       sed \
+               -e "s:/icewm-\$(VERSION)::" \
+               -e "s:ungif:gif:" \
+               -i src/Makefile || die
+}
+
+src_install() {
+       local DOCS=( AUTHORS ChangeLog NEWS README.md TODO VERSION )
+
+       default
+
+       docinto html
+       dodoc doc/icewm.html
+       dodoc man/*.html
+
+       exeinto /etc/X11/Sessions
+       doexe "${FILESDIR}/icewm"
+}

Reply via email to